{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/in_gunzip-workflow"
                }
            ],
            "steps": [
                {
                    "run": "#gunzip.cwl",
                    "scatter": "#main/step_gunzip-workflow/in_gunzip",
                    "in": [
                        {
                            "source": "#main/in_gunzip-workflow",
                            "id": "#main/step_gunzip-workflow/in_gunzip"
                        }
                    ],
                    "out": [
                        "#main/step_gunzip-workflow/out_gunzip"
                    ],
                    "id": "#main/step_gunzip-workflow"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/step_gunzip-workflow/out_gunzip",
                    "id": "#main/out_gunzip-workflow"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.in_gunzip)",
                            "writable": true
                        }
                    ]
                }
            ],
            "baseCommand": [
                "gzip"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-d",
                        "valueFrom": "$(self.basename)"
                    },
                    "id": "#gunzip.cwl/in_gunzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*"
                    },
                    "id": "#gunzip.cwl/out_gunzip"
                }
            ],
            "id": "#gunzip.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
